CCCCHHHHHHHHHHHHHHG
CCHHHHHHHHHCCEEEEEECTTSCEEEET
CCCCHHHHHHHHHHHHHHGGGHHHHHHHHHHHHHHHCGG
CCHHHHHHHHHCCEEEEEECTTSCEEEETTEECC-CHHHHHHHHHHHHT
CCCCHHHHHHHHHHHHHHGGGHHHHHHHHHHHHHHHCGGGGGGCTTTTTCCSHHHHHHC
CCHHHHHHHHTCCCSBCEECTTSCEEETTTEEEECCTTCCHHHHHHHHHHHHTSCCTTBCCHHHHHHHH
CCHHHHHHHHHCCCSBCEECTTSCEECTTTCCCCCCSSCCHHHHHHHHHHHSCSCCTTBCCHHHHHHHHHHHHHHHHHH
CCCHHHHHHHHHHHHHHGGGHHHHHHHHHHHHHHHCGGGGGGCTTTTTCCSHHHHHHCHHHHHHHHHHHHHHHHHHTTTTCCHHHHHHH
CCCHHHHHHHHHHHHHHHHTHHHHHHHHHHHHHHHCHHHHTTCTTTTTCCSHHHHHHCHHHHHHHHHHHHHHHHHHTTTTCCHHHHHHHHHHHHHTTCC
CCCCHHHHHHHHHHHHHHGGGHHHHHHHHHHHHHHHCGGGGGGCTTTTTCCSHHHHHHCHHHHHHHHHHHHHHHHHHTTTTCCHHHHHHHHHHHHHTSC